# Uses of Enum Class
org.springframework.transaction.annotation.Propagation

Packages that use Propagation
Package
Description
org.springframework.transaction.annotation
Spring's support for annotation-based transaction demarcation.

## Uses of Propagation in org.springframework.transaction.annotation

Methods in org.springframework.transaction.annotation that return Propagation
Modifier and Type
Method
Description
`static Propagation`
Propagation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Propagation[]`
Propagation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.